%define module_name SQLAlchemy

Summary:	SQL toolkit and object relational mapper for Python


Name:		python-sqlalchemy
Version:	0.9.7
Release:	1
License:	MIT
Group:		Development/Python
URL:		http://www.sqlalchemy.org/
Source0:	http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-devel python3-devel

%description
%{module_name} is a SQL toolkit and object relational mapper for Python. It
encourages "relational mapping" as opposed to "table mapping" and includes
enterprise-level features such as eager loading, unit-of-work object commits,
topological dependency sorting, and full usage of bind parameters. It
supports MySQL, Postgres, Oracle, and SQLite.

%package -n python3-%{module_name}
Summary:	SQL toolkit and object relational mapper for Python
Group:		Development/Python

%description -n python3-%{module_name}
%{module_name} is a SQL toolkit and object relational mapper for Python. It
encourages "relational mapping" as opposed to "table mapping" and includes
enterprise-level features such as eager loading, unit-of-work object commits,
topological dependency sorting, and full usage of bind parameters. It
supports MySQL, Postgres, Oracle, and SQLite.

This is a python-3 package

%prep
%setup -q -n %{module_name}-%{version}
rm -rf %{py3dir}
mkdir -p %{py3dir}
cp -a . %{py3dir}

%build
python setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd


%install
PYTHONDONTWRITEBYTECODE= python setup.py install --skip-build --root=%{buildroot} --install-purelib=%{py_platlibdir}
pushd %{py3dir}
PYTHONDONTWRITEBYTECODE= %{__python3} setup.py install --skip-build --root=%{buildroot} --install-purelib=%{py3_platlibdir}
popd

#%check
#%{__python} setup.py test

%files
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE README* doc/* examples
%{py_platsitedir}/sqlalchemy/*
%{py_platsitedir}/%{module_name}-%{version}-py*.egg-info/
#%{python_sitelib}/sqlalchemy_nose/

%files -n python3-%{module_name}
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE README* doc/* examples
%{py3_platsitedir}/sqlalchemy/*
%{py3_platsitedir}/%{module_name}-%{version}-py*.egg-info/

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 0.9.7-1
+ Revision: 097fef7
- Merge pull request #8 from import/python-sqlalchemy:auto_update
- ROSA Updates Builder: update suggested


